Index: main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackTool.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackTool.js	(revision 0)
+++ main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsBackTool.js	(revision 0)
@@ -0,0 +1,226 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * This tool displays the cache statistics of the back
+ */
+
+Ext.define('Ametys.plugins.web.administration.CacheStatisticsBackTool', {
+	extend: 'Ametys.tool.Tool',
+	
+	/**
+	 * @private
+	 * @property {Ext.tree.Panel} _tree The tree panel
+	 */
+	
+	/**
+	 * @private
+	 * @property {String} _siteName The selected site
+	 */
+	
+	/**
+	 * @private
+	 * @property {String[]} _contexts the contexts' list
+	 */
+	constructor: function()
+	{
+		this.callParent(arguments);
+		
+		// Activate all contexts
+		Ametys.plugins.web.administration.CacheStatisticsBackContext.activateContexts(["back-default", "preview-default", "preview-live", "front-live"]);
+		Ametys.message.MessageBus.on(Ametys.message.Message.MODIFIED, this._onModified, this);
+	},
+	
+	getMBSelectionInteraction: function() 
+	{
+		return Ametys.tool.Tool.MB_TYPE_NOSELECTION;
+	},
+	
+	createPanel: function ()
+	{
+		this._tree = this._drawCacheStatisticsTree();
+		return this._tree;
+	},
+	
+	setParams: function (params)
+	{
+		this.callParent(arguments);
+		this._siteName = params.siteName;
+		
+		var toolTitle = "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_UITOOL_SITE_CACHE_STATISTICS_BACK_TITLE'/>";
+		toolTitle += params.siteTitle ? " " + params.siteTitle + " (" + this._siteName + ")" : this._siteName;
+		this.setTitle(toolTitle);
+
+		this._tree.getStore().setRoot({id: 'root'});
+		this.refresh();
+	},
+	
+	refresh: function ()
+	{
+		this.showRefreshing();
+		
+		this._tree.getRootNode().expand(false, Ext.bind(this.showRefreshed, this), this);
+	},
+	
+	/**
+	 * @private
+	 * Draw the tree panel representing the cache statistics
+	 * @return a tree panel
+	 */
+	_drawCacheStatisticsTree: function()
+	{
+		var columns = [
+            {
+		        xtype: 'treecolumn',
+		        text: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_COL_FIRST'/>",
+		        dataIndex: 'label',
+		        flex: 1
+	    	}, 
+	    	{
+		    	text: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_FIRST_ROWHD_PAGE'/>",
+		    	columns: [{
+		    		header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_COL_PAGE_HITS'/>", 
+		    		dataIndex: 'pageHits', 
+		    		align: 'center', 
+		    		
+		    	}],
+	    	},
+	    	{
+		    	text: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_FIRST_ROWHD_PAGE_ELEMENT'/>",
+		    	columns: [
+    	            {
+			    		header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_COL_CACHEABLE'/>", 
+			    		dataIndex: 'cacheable', 
+			    		align: 'center', 
+			    		flex: 0.25
+			    	},
+			    	{
+			    		header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_COL_EFFICIENCY'/>", 
+			    		dataIndex: 'eff', 
+			    		align: 'center', 
+			    		flex: 0.25
+			    	},
+			    	{
+			    		header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_COL_HITS'/>", 
+			    		dataIndex: 'hits', 
+			    		align: 'center', 
+			    		flex: 0.25
+			    	},
+			    	{
+			    		header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_COL_CACHE_HITS'/>", 
+			    		dataIndex: 'cacheHits', 
+			    		align: 'center', 
+			    		flex: 0.25
+			    	}
+		    	]
+	    	}
+		];
+		
+		return Ext.create ('Ext.tree.Panel', {
+			rootVisible: false,
+			
+			columns: columns,
+			
+			store: Ext.create('Ext.data.TreeStore', {
+				
+				model: 'Ametys.plugins.web.administration.CacheStatisticsBackTool.CacheStatisticsBackEntry',
+				root: {
+					id: 'dummy',
+					text : 'dummy',
+					name: 'dummy',
+					path: 'dummy',
+					expanded: false
+				},
+				
+				proxy: {
+		        	type: 'ametys',
+					plugin: 'web',
+					url: '/administrator/sites/cache-statistics-back-tree.json',
+		        	reader: {
+		        		type: 'json'
+		        	}
+		        },
+		        
+				listeners: {
+					'beforeload': Ext.bind(this._onBeforeLoad, this)
+				}
+			}),
+			
+			autoScroll: true,
+			border: false
+		});
+	},
+	
+	/**
+	 * @private
+	 * Handle the before load event of the store in order to cancel the load request on the root node.
+	 * Be careful, this is mandatory is our case only because we have an hidden root node, which automatically perform a load when the node is created.
+	 * @param {Ext.data.TreeStore} store The tree store
+	 * @param {Object} operation The Ext.data.operation.Operation object that will be passed to the Proxy to
+	 * load the Store
+	 */
+	_onBeforeLoad: function(store, operation)
+    {
+		var node = operation.node,
+		id = node != null ? node.getId() : null;
+	
+		// Cancel load
+		if (!id || id === 'dummy')
+		{
+			return false;
+		}
+		
+		var params = {};
+		params.siteName = this._siteName;
+		params.contexts = '';
+		
+		Ext.Array.each (this._contexts, function(context){
+			params.contexts += context == '' ? context : '#' + context;
+		});
+		
+		operation.setParams(Ext.apply(operation.getParams() || {}, params ));
+    },
+    
+    /**
+     * @private
+     * Listener when a "modified" message has been sent out on the message bus
+     * @param {Ametys.message.Message} message The message
+     */
+    _onModified: function(message)
+    {	
+    	var targets = message.getTargets(Ametys.message.MessageTarget.CACHE_CONTEXT);
+    	if (targets.length > 0)
+		{
+    		this._contexts = Ametys.plugins.web.administration.CacheStatisticsBackContext.getActiveContexts();
+			this._tree.getStore().load({node: this._tree.getRootNode()});
+    	}
+    }
+});
+
+Ext.define("Ametys.message.CacheStatisticsBackContextMessageTarget",
+	{
+	    override: "Ametys.message.MessageTarget",
+	    statics: 
+	    {
+	        /**
+	         * @member Ametys.message.MessageTarget
+	         * @readonly
+	         * @property {String} CACHE_CONTEXT The target of the message is the cache's context 
+	         */
+	        CACHE_CONTEXT: "cacheContext"
+	    }
+	}
+);
Index: main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsServersActions.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsServersActions.js	(revision 0)
+++ main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsServersActions.js	(revision 0)
@@ -0,0 +1,42 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * Servers cache statistics related actions
+ */
+Ext.define('Ametys.plugins.web.administration.CacheStatisticsServersActions', {
+	singleton: true,
+	
+	/**
+	 * Show/Hide the detail columns of the site statistics tool
+	 * @param {Ametys.core.ribbon.ui.ButtonController} controller the controller calling this function
+	 */
+	showHideDetails: function(controller)
+	{
+		var focusedTool = Ametys.tool.ToolsManager.getFocusedTool();
+		if (focusedTool != null)
+		{
+			var detailColumnsArray = Ext.String.splitWords(controller.getInitialConfig('detail-columns'));
+			Ext.Array.each(focusedTool.getTree().getColumns(), function(column) {
+				if (Ext.Array.contains(detailColumnsArray, column.dataIndex))
+				{
+					column.setVisible(controller.isPressed());
+				}
+			});
+		}	
+	}
+});
+
Index: main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsServersTool/CacheStatisticsServersEntry.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsServersTool/CacheStatisticsServersEntry.js	(revision 0)
+++ main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsServersTool/CacheStatisticsServersEntry.js	(revision 0)
@@ -0,0 +1,76 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * @private
+ * The model for the {@link Ametys.plugins.web.administration.CacheStatisticsServersTool} tool. 
+ */
+Ext.define('Ametys.plugins.web.administration.CacheStatisticsServersTool.CacheStatisticsServersEntry', { 
+    extend: 'Ext.data.TreeModel', 
+    fields: [ 
+        { name: 'id', type: 'string', mapping: 'id'}, 
+        { name: 'type', type: 'string', mapping: 'type'}, 
+        { name: 'computedLabel', type: 'string', mapping: 'computedLabel'}, 
+        { name: 'label', type: 'string', calculate: function(data) {
+	    		if (data.type == 'pages')
+				{
+	    			return "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_PAGENODE'/>";
+				}
+	    		else if (data.type == 'site')
+				{
+	    			return "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_SITENODE'/>";
+				}
+	    		else if (data.type == 'orphans')
+				{
+	    			return "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_ORPHEAN'/>";
+				}
+	    		else
+				{
+	    			return data.computedLabel;
+				} 
+	        }
+        },
+        { name: 'computedQtip', type: 'string', mapping: 'computedQtip'},
+        { name: 'qtip', type: 'string', calculate: function(data){
+        		if (data.type == 'pages')
+    			{
+        			return "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_PAGENODE_DESC'/>";
+    			}
+	    		else if (data.type == 'orphans')
+				{
+	    			return "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_TREE_ORPHEAN_DESC'/>";
+				}
+	    		else
+    			{
+	    			return data.computedQtip;
+    			}
+        	}
+        }, 
+        { name: 'icon', type: 'string', mapping: 'icon'},
+        { name: 'pageHits', type: 'string', mapping: 'pageHits'},
+        { name: 'cacheable', type: 'string', mapping: 'cacheable'},
+        { name: 'hits', type: 'string', mapping: 'hits'},
+        { name: 'hitsA', type: 'string', mapping: 'hitsA'},
+        { name: 'hitsF', type: 'string', mapping: 'hitsF'},
+        { name: 'hitsB', type: 'string', mapping: 'hitsB'},
+        { name: 'eff', type: 'string', mapping: 'eff'},
+        { name: 'effA', type: 'string', mapping: 'effA'},
+        { name: 'effF', type: 'string', mapping: 'effF'},
+        { name: 'cacheHits', type: 'string', mapping: 'cacheHits'},
+        { name: 'cacheHitsA', type: 'string', mapping: 'cacheHitsA'},
+        { name: 'cacheHitsF', type: 'string', mapping: 'cacheHitsF'}
+    ]
+}); 
Index: main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsServersTool.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsServersTool.js	(revision 0)
+++ main/plugin-web/resources/js/Ametys/plugins/web/administration/CacheStatisticsServersTool.js	(revision 0)
@@ -0,0 +1,245 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * This tool displays the cache statistics of the back
+ */
+
+Ext.define('Ametys.plugins.web.administration.CacheStatisticsServersTool', {
+	extend: 'Ametys.tool.Tool',
+	
+	/**
+	 * @private
+	 * @property {Ext.tree.Panel} _tree The tree panel
+	 */
+	
+	/**
+	 * @private
+	 * @property {String} _siteName The selected site
+	 */
+
+	getMBSelectionInteraction: function() 
+	{
+		return Ametys.tool.Tool.MB_TYPE_NOSELECTION;
+	},
+	
+	createPanel: function ()
+	{
+		this._tree = this._drawCacheStatisticsServersTree();
+		return this._tree;
+	},
+	
+	setParams: function (params)
+	{
+		this.callParent(arguments);
+		this._siteName = params.siteName;
+
+		var toolTitle = "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_UITOOL_SITE_CACHE_STATISTICS_SERVERS_TITLE'/>";
+		toolTitle += params.siteTitle ? " " + params.siteTitle + " (" + this._siteName + ")" : this._siteName;
+		this.setTitle(toolTitle);
+		
+		this._tree.getStore().setRoot({id: 'root'});
+		this.refresh();
+	},
+	
+	refresh: function ()
+	{
+		this.showRefreshing();
+		
+		this._tree.getRootNode().expand(false, Ext.bind(this.showRefreshed, this), this);
+	},
+	
+	/**
+	 * Get the tree panel of the tool
+	 * @return the tree panel of the tool
+	 */
+	getTree: function()
+	{
+		return this._tree;
+	},
+	
+	/**
+	 * @private
+	 * Draw the tree panel representing the servers' cache statistics 
+	 * @return a tree panel
+	 */
+	_drawCacheStatisticsServersTree: function()
+	{
+		var columns = [
+            {
+		        text: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_FIRST_ROWHD_FIRST'/>",
+		        columns: [
+                  {
+                	  xtype: 'treecolumn',
+                	  dataIndex: 'label',
+                	  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_FIRST'/>",
+                	  minWidth: 200
+                  },
+                  {
+                	  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_CACHEABLE'/>", 
+	  		          dataIndex: 'cacheable', 
+	  		          align: 'center' ,
+	  		          width: 75
+                  }
+              ]
+	    	}, 
+	    	{
+		    	text: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_FIRST_ROWHD_EFFICIENCY'/>",
+		    	columns: [
+    	          {
+		    		  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_EFFICIENCY_TOTAL'/>", 
+		    		  dataIndex: 'eff', 
+		    		  width: 75,
+		    		  align: 'center'
+    	          },
+    	          {
+    	        	  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_EFFICIENCY_HTTPSERVER'/>", 
+  		    		  dataIndex: 'effA', 
+  		    		  width: 75,
+  		    		  hidden: true,
+  		    		  align: 'center'
+    	          },
+    	          {
+    	        	  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_EFFICIENCY_FRONT'/>", 
+  		    		  dataIndex: 'effF',
+  		    		  width: 75,
+  		    		  hidden: true,
+  		    		  align: 'center'
+    	          }
+	            ],
+	    	},
+	    	{
+		    	text: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_FIRST_ROWHD_HITS'/>",
+		    	columns: [
+    	          {
+		    		  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_HITS_TOTAL'/>", 
+		    		  dataIndex: 'hits', 
+		    		  width: 75,
+		    		  align: 'center'
+    	          },
+    	          {
+    	        	  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_HITS_HTTPSERVER'/>", 
+  		    		  dataIndex: 'hitsA', 
+  		    		  width: 75,
+  		    		  hidden: true,
+  		    		  align: 'center'
+    	          },
+    	          {
+    	        	  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_HITS_FRONT'/>", 
+  		    		  dataIndex: 'hitsF', 
+  		    		  width: 75,
+  		    		  hidden: true,
+  		    		  align: 'center'
+    	          }
+	            ],
+	    	},
+	    	{
+	    		text: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_FIRST_ROWHD_CACHE_HITS'/>",
+		    	columns: [
+    	          {
+		    		  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_CACHE_HITS_TOTAL'/>", 
+		    		  dataIndex: 'cacheHits', 
+		    		  width: 75,
+		    		  align: 'center'
+    	          },
+    	          {
+    	        	  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_CACHE_HITS_HTTPSERVER'/>", 
+  		    		  dataIndex: 'cacheHitsA',
+  		    		  width: 50,
+  		    		  hidden: true,
+  		    		  align: 'center'
+    	          },
+    	          {
+    	        	  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_CACHE_HITS_FRONT'/>", 
+  		    		  dataIndex: 'cacheHitsF', 
+  		    		  width: 50,
+  		    		  hidden: true,
+  		    		  align: 'center'
+    	          }
+	            ],
+	    	},
+	    	{
+	    		text: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_COL_HITS_BACK'/>",
+	    		columns: [
+    		      {
+    		    	  header: "<i18n:text i18n:key='PLUGINS_WEB_ADMINISTRATOR_CACHE_SERVERS_STATISTICS_FIRST_ROWHD_BACK'/>", 
+		    		  dataIndex: 'hitsB',
+		    		  width: 50,
+		    		  align: 'center'
+    		      }
+	            ]
+	    	}
+		];
+		
+		return Ext.create ('Ext.tree.Panel', {
+			rootVisible: false,
+			
+			columns: columns,
+			
+			store: Ext.create('Ext.data.TreeStore', {
+				
+				model: 'Ametys.plugins.web.administration.CacheStatisticsServersTool.CacheStatisticsServersEntry',
+				root: {
+					id: 'dummy',
+					text : 'dummy',
+					name: 'dummy',
+					path: 'dummy',
+					expanded: false
+				},
+				
+				proxy: {
+		        	type: 'ametys',
+					plugin: 'web',
+					url: '/administrator/sites/cache-statistics-servers-tree.json',
+		        	reader: {
+		        		type: 'json'
+		        	}
+		        },
+		        
+				listeners: {
+					'beforeload': Ext.bind(this._onBeforeLoad, this)
+				}
+			}),
+			
+			autoScroll: true,
+			border: false
+		});
+	},
+	
+	/**
+	 * @private
+	 * Handle the before load event of the store in order to cancel the load request on the root node.
+	 * Be careful, this is mandatory is our case only because we have an hidden root node, which automatically perform a load when the node is created.
+	 * @param {Ext.data.TreeStore} store The tree store
+	 * @param {Object} operation The Ext.data.operation.Operation object that will be passed to the Proxy to
+	 * load the Store
+	 */
+	_onBeforeLoad: function(store, operation)
+    {
+		var node = operation.node,
+		id = node != null ? node.getId() : null;
+	
+		// Cancel load
+		if (!id || id === 'dummy')
+		{
+			return false;
+		}
+		
+		operation.setParams(Ext.apply(operation.getParams() || {}, {
+			siteName: this._siteName
+		}));
+    }
+});
Index: main/plugin-web/resources/js/Ametys/plugins/web/page/NotifyPublication.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/page/NotifyPublication.js	(revision 32871)
+++ main/plugin-web/resources/js/Ametys/plugins/web/page/NotifyPublication.js	(working copy)
@@ -105,7 +105,7 @@
 								xtype: 'component',
 								cls: 'text',
 								html: "<i18n:text i18n:key='PLUGINS_WEB_PAGE_NOTIFY_ONLINE_PUBLICATION_DIALOG_HINT_2'/>"
-							},
+							}
 					]
 				});
 		
Index: main/plugin-web/resources/js/Ametys/plugins/web/site/SiteActions.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/site/SiteActions.js	(revision 32871)
+++ main/plugin-web/resources/js/Ametys/plugins/web/site/SiteActions.js	(working copy)
@@ -395,6 +395,32 @@
 	},
 	
 	/**
+	 * Open the selected site's back cache statistics
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller calling this function
+	 */
+	cacheStatisticsBack: function(controller)
+	{
+		var target = controller.getMatchingTargets()[0];
+		if (target != null)
+		{
+ 			Ametys.tool.ToolsManager.openTool('uitool-admin-cache-statistics-back', {id: target.getParameters().name, siteName: target.getParameters().name, siteTitle: target.getParameters().title});
+		}
+	},
+
+	/**
+	 * Open the selected site's serverss statistics for the servers
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller calling this function
+	 */
+	cacheStatisticsServers: function(controller)
+	{
+		var target = controller.getMatchingTargets()[0];
+		if (target != null)
+		{
+ 			Ametys.tool.ToolsManager.openTool('uitool-admin-cache-statistics-servers', {id: target.getParameters().name, siteName: target.getParameters().name, siteTitle: target.getParameters().title});
+		}
+	},
+	
+	/**
 	 * Affect a super user on a site
 	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller calling this function
 	 */	
Index: main/plugin-web/resources/js/Ametys/plugins/web/site/SiteStatisticsTool.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/site/SiteStatisticsTool.js	(revision 32871)
+++ main/plugin-web/resources/js/Ametys/plugins/web/site/SiteStatisticsTool.js	(working copy)
@@ -26,11 +26,6 @@
 	 * @property {Ext.tree.Panel} _tree The statistics tree
 	 */
 	
-	constructor: function(config)
-	{
-		this.callParent(arguments);
-	},
-		
 	getMBSelectionInteraction: function() 
 	{
 		return Ametys.tool.Tool.MB_TYPE_NOSELECTION;
Index: main/plugin-web/resources/js/Ametys/plugins/web/site/SitesTool.js
===================================================================
--- main/plugin-web/resources/js/Ametys/plugins/web/site/SitesTool.js	(revision 32871)
+++ main/plugin-web/resources/js/Ametys/plugins/web/site/SitesTool.js	(working copy)
@@ -23,7 +23,7 @@
 	
 	/**
 	 * @private
-	 * @property {Ext.tree.Panel} _tree The sites tree panel
+	 * @property {Ametys.web.site.SitesTree} _tree The sites tree panel
 	 */
 	
 	constructor: function(config)
Index: main/plugin-web/sitemap-back.xmap
===================================================================
--- main/plugin-web/sitemap-back.xmap	(revision 32871)
+++ main/plugin-web/sitemap-back.xmap	(working copy)
@@ -30,8 +30,10 @@
             <!-- TODO to remove -->
             <map:generator name="convert-pagepath-to-id" src="org.ametys.web.repository.page.generators.ConvertPagePathToIdGenerator" label="xml" pool-grow="2" pool-max="16" pool-min="0" />
             <map:generator name="child-pages" src="org.ametys.web.repository.page.generators.ChildrenPagesIdGenerator" label="xml" pool-grow="2" pool-max="16" pool-min="0" />
+            
             <map:generator name="cache-stats-back" src="org.ametys.web.cache.monitoring.ui.PageElementCacheStatsGenerator" logger="org.ametys.web.cachemonitoring.generators.PageElementCacheStatsGenerator" label="xml" />
             <map:generator name="cache-stats-servers" src="org.ametys.web.cache.monitoring.ui.ServersCacheStatsGenerator" logger="org.ametys.web.cachemonitoring.generators.ServersCacheStatsGenerator" label="xml" />
+            
             <map:generator name="site-parameters" src="org.ametys.web.site.SiteParametersGenerator" logger="org.ametys.web.site.SiteParametersGenerator" label="xml" />
             <map:generator name="page-info" src="org.ametys.web.repository.page.generators.PageInformationGenerator" label="xml" pool-grow="2" pool-max="16" pool-min="0" />
             <map:generator name="site-info" src="org.ametys.web.repository.site.SiteInformationGenerator" label="xml" pool-grow="2" pool-max="16" pool-min="0" />
@@ -229,24 +231,9 @@
                 <map:serialize type="xml" />
             </map:match>
 
-            <map:match pattern="administrator/sites/cache-statistics-back/*.html">
-                <map:generate type="site-configuration" label="content">
-                    <map:parameter name="name" value="{1}" />
-                </map:generate>
-                <map:transform src="pages/administrator/sites/cache-statistics-back.xsl">
-                    <map:parameter name="contextPath" value="{request:contextPath}" />
-                    <map:parameter name="pluginName" value="{request-attr:pluginName}" />
-                </map:transform>
-                <map:transform type="i18n">
-                    <map:parameter name="locale" value="{locale:locale}" />
-                    <map:parameter name="plugin" value="{request-attr:pluginName}" />
-                </map:transform>
-                <map:serialize type="xml" />
-            </map:match>
-
-            <map:match pattern="administrator/sites/cache-statistics-back-tree/*.xml">
+            <map:match pattern="administrator/sites/cache-statistics-back-tree.json">
                 <map:generate type="cache-stats-back">
-                    <map:parameter name="siteName" value="{1}" />
+                    <map:parameter name="siteName" value="{request-param:siteName}" />
                     <map:parameter name="contexts" value="{request-param:contexts}" />
                 </map:generate>
                 <map:transform src="pages/administrator/sites/cache-statistics-back-tree.xsl">
@@ -257,37 +244,18 @@
                     <map:parameter name="locale" value="{locale:locale}" />
                     <map:parameter name="plugin" value="{request-attr:pluginName}" />
                 </map:transform>
-                <map:serialize type="xml" />
-            </map:match>
-
-            <map:match pattern="administrator/sites/cache-statistics-servers/*.html">
-                <map:generate type="site-configuration">
-                    <map:parameter name="name" value="{1}" />
-                </map:generate>
-                <map:transform src="pages/administrator/sites/cache-statistics-servers.xsl">
-                    <map:parameter name="contextPath" value="{request:contextPath}" />
-                    <map:parameter name="pluginName" value="{request-attr:pluginName}" />
-                </map:transform>
-                <map:transform type="i18n">
-                    <map:parameter name="locale" value="{locale:locale}" />
-                    <map:parameter name="plugin" value="{request-attr:pluginName}" />
-                </map:transform>
-                <map:serialize type="xml" />
+                <map:serialize type="text" />
             </map:match>
 
-            <map:match pattern="administrator/sites/cache-statistics-servers-tree/*.xml">
+            <map:match pattern="administrator/sites/cache-statistics-servers-tree.json">
                 <map:generate type="cache-stats-servers">
-                    <map:parameter name="siteName" value="{1}" />
+                    <map:parameter name="siteName" value="{request-param:siteName}" />
                 </map:generate>
                 <map:transform src="pages/administrator/sites/cache-statistics-servers-tree.xsl">
                     <map:parameter name="contextPath" value="{request:contextPath}" />
                     <map:parameter name="pluginName" value="{request-attr:pluginName}" />
                 </map:transform>
-                <map:transform type="i18n">
-                    <map:parameter name="locale" value="{locale:locale}" />
-                    <map:parameter name="plugin" value="{request-attr:pluginName}" />
-                </map:transform>
-                <map:serialize type="xml" />
+                <map:serialize type="text" />
             </map:match>
 
             <map:match pattern="administrator/skins/view.html">
